Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.componentxml
Class StyleSheetLoader

    java.lang.Object
      nextapp.echo2.app.componentxml.StyleSheetLoader

    public class StyleSheetLoader

extends java.lang.Object

Loads XML style sheets.

Constructor Summary
`StyleSheetLoader()`

Method Summary
`static StyleSheet` | `load(java.io.InputStream in, java.lang.ClassLoader classLoader)` Parses an XML style sheet and returns a `StyleSheet` instance.
`static StyleSheet` | `load(java.lang.String resourceName, java.lang.ClassLoader classLoader)` Parses an XML style sheet and returns a `StyleSheet` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleSheetLoader

    public StyleSheetLoader()

Method Detail

### load

    public static StyleSheet load(java.lang.String resourceName,
                                  java.lang.ClassLoader classLoader)
                           throws ComponentXmlException

  Parses an XML style sheet and returns a `StyleSheet` instance.

  Parameters:
    `resourceName` - the name of the resource on the `CLASSPATH` containing the XML data
    `classLoader` - the `ClassLoader` with which to instantiate property objects
  Returns:
    the created `StyleSheet` or null if the resource does not exist
  Throws:
    `ComponentXmlException` - if parsing/instantiation errors occur

### load

    public static StyleSheet load(java.io.InputStream in,
                                  java.lang.ClassLoader classLoader)
                           throws ComponentXmlException

  Parses an XML style sheet and returns a `StyleSheet` instance.

  Parameters:
    `in` - the `InputStream` containing the XML data
    `classLoader` - the `ClassLoader` with which to instantiate property objects
  Returns:
    the created `StyleSheet`
  Throws:
    `ComponentXmlException` - if parsing/instantiation errors occur

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD